wifi8 2.0.0.0

Data Fields
wifi8_m2m_wifi_sec_info_legacy_1_2_t Struct Reference

`#include <wifi8_types.h>`

## Data Fields
wifi8_m2m_wifi_auth_legacy_1_2_t | uni_auth
uint8_t | u8_sec_type
uint8_t | __pad__ [2]

## Field Documentation

## ◆ __pad__

uint8_t __pad__[2]

padding bytes for forcing 4-byte alignment

## ◆ u8_sec_type

uint8_t u8_sec_type

wi-fi network security type. see wifi8_m2m_sec_type_t for supported security types.

## ◆ uni_auth

wifi8_m2m_wifi_auth_legacy_1_2_t uni_auth

union holding all possible authentication parameters corresponding the current security types.

The documentation for this struct was generated from the following file:

- D:/GIT/click_repository/cmake/wifi8/lib_wifi8/include/wifi8_types.h